Ga naar de inhoud
Cyzyra

API-referentie

Leidt

Contacten en klanten. Creatie vindt niet plaats: hetzelfde e-mailadres of telefoonnummer retourneert de lead die al bestaat.

Listar leads

get/api/v1/leads

Sleuteltoestemming: leitura

Parameters

limit integer · consulta

Standaard: 50 · Máximo: 200

cursor string · consulta

next_cursor da página anterior

updated_since string (date-time) · consulta

—

status string · consulta

—

Antwoorden

  • 200Página de leads
Verzoek
curl "https://www.cyzyra.com/api/v1/leads" \
  -H "Authorization: Bearer $CYZYRA_API_KEY"
Antwoord
{
  "data": [
    {
      "id": "8f1c…",
      "name": "Ana Souza",
      "email": "ana@example.com",
      "status": "new",
      "created_at": "2026-11-08T14:02:11Z"
    }
  ],
  "next_cursor": "eyJ0Ijoi…"
}

Przykład ilustrujący.

Criar lead (sem duplicar: e-mail/telefone iguais devolvem o existente)

post/api/v1/leads

Sleuteltoestemming: escrita

Hoofdtekst (JSON)

name stringverplicht

—

email string

—

phone string

—

whatsapp string

—

city string

—

country string

Voorbeeld: "BR"

notes string

—

source_detail string

—

tags string[]

—

Antwoorden

  • 200Já existia (duplicate: true)
  • 201Criado
Verzoek
curl -X POST "https://www.cyzyra.com/api/v1/leads" \
  -H "Authorization: Bearer $CYZYRA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"Ana Souza","email":"ana@example.com","whatsapp":"+5511999990000","country":"BR","tags":["site"]}'
Antwoord
{
  "data": {
    "id": "8f1c…",
    "name": "Ana Souza",
    "status": "new"
  },
  "created": true,
  "duplicate": false
}

Przykład ilustrujący.

Ver lead

get/api/v1/leads/{id}

Sleuteltoestemming: leitura

Parameters

id string (uuid) · caminhoverplicht

—

Antwoorden

  • 200Leiding
  • 404Não encontrado
Verzoek
curl "https://www.cyzyra.com/api/v1/leads/LEAD_ID" \
  -H "Authorization: Bearer $CYZYRA_API_KEY"
Antwoord
{
  "data": {
    "id": "8f1c…",
    "name": "Ana Souza",
    "email": "ana@example.com",
    "status": "new"
  }
}

Przykład ilustrujący.

Alterar lead

patch/api/v1/leads/{id}

Sleuteltoestemming: escrita

Parameters

id string (uuid) · caminhoverplicht

—

Hoofdtekst (JSON)

name string

—

email string

—

phone string

—

city string

—

status string

—

tags string[]

—

notes string

—

do_not_contact boolean

—

Antwoorden

  • 200Lead atualizado
Verzoek
curl -X PATCH "https://www.cyzyra.com/api/v1/leads/LEAD_ID" \
  -H "Authorization: Bearer $CYZYRA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"city":"Curitiba","tags":["vip"]}'
Antwoord
{
  "data": {
    "id": "8f1c…",
    "city": "Curitiba",
    "tags": [
      "vip"
    ]
  }
}

Przykład ilustrujący.